List cities
curl --request GET \
--url https://api.wavix.com/v1/buy/countries/{country_id}/cities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wavix.com/v1/buy/countries/{country_id}/cities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wavix.com/v1/buy/countries/{country_id}/cities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cities": [
{
"area_code": 113,
"id": 128791,
"name": "Buenos Aires"
},
{
"area_code": 341,
"id": 132655,
"name": "Rosario"
},
{
"area_code": 351,
"id": 132656,
"name": "Cordoba"
},
{
"area_code": 381,
"id": 141803,
"name": "Tucuman"
},
{
"area_code": 387,
"id": 141986,
"name": "Salta"
}
]
}{
"success": false,
"message": "Missing or invalid parameter <param_name>"
}{
"success": false,
"message": "The service is not provisioned for your account."
}{
"success": false,
"message": "Record not found"
}Buy
List cities
Returns a list of cities for countries where
has_provinces_or_states is false.
GET
/
v1
/
buy
/
countries
/
{country_id}
/
cities
List cities
Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Path Parameters
The unique ID of the country.
Example:
1891
Query Parameters
When true, returns only cities that offer text-enabled numbers.
Response
Returns the list of cities.
Cities available for the requested country or region.
Show child attributes
Show child attributes
Was this page helpful?
⌘I